Mojolicious::Command::version(3)

NAME
Mojolicious::Command::version - Version command

SYNOPSIS
  Usage: APPLICATION version [OPTIONS]

    mojo version

  Options:
    -h, --help   Show this summary of available options

DESCRIPTION
Mojolicious::Command::version shows version information for available core and optional modules.

This is a core command, that means it is always enabled and its code a good example for learning to build new commands, you're welcome to fork it.

See "COMMANDS" in Mojolicious::Commands for a list of commands that are available by default.

ATTRIBUTES
Mojolicious::Command::version inherits all attributes from Mojolicious::Command and implements the following new ones.

  description
  my $description = $v->description;
  $v              = $v->description('Foo');

Short description of this command, used for the command list.

  usage
  my $usage = $v->usage;
  $v        = $v->usage('Foo');

Usage information for this command, used for the help screen.

METHODS
Mojolicious::Command::version inherits all methods from Mojolicious::Command and implements the following new ones.

  run
  $v->run(@ARGV);

Run this command.

SEE ALSO
Mojolicious, Mojolicious::Guides, <http://mojolicious.org>.